##### ssl::stream::set_verify_depth (1 of 2 overloads)

Set the peer verification depth.

    void set_verify_depth(
        int depth);

This function may be used to configure the maximum verification depth allowed by the stream.

###### Parameters

depth

  Maximum depth for the certificate chain verification that shall be allowed.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

Calls `SSL_set_verify_depth`.